org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerPartialBinary

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<ByteBuffer>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBinary

- All Implemented Interfaces:
    MessageHandler, MessageHandler.Partial<ByteBuffer>, WrappedMessageHandler

      public class PojoMessageHandlerPartialBinary
      extends PojoMessageHandlerPartialBase<ByteBuffer>

  ByteBuffer specific concrete implementation for handling partial messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

      `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoMessageHandlerPartialBinary(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase

      `onMessage`

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

      `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoMessageHandlerPartialBinary

          public PojoMessageHandlerPartialBinary(Object pojo,
                                         Method method,
                                         Session session,
                                         Object[] params,
                                         int indexPayload,
                                         boolean convert,
                                         int indexBoolean,
                                         int indexSession,
                                         long maxMessageSize)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.